Subject: Re: bug#25054: 25.1; bury-buffer makes bad choice of next buffer

From: martin rudalics <[email-masked]>
Date: Tue, 06 Dec 2016 15:28:56 +0100

> Can you suggest a way?

Yes.  We have two functions: ‘set-window-prev-buffers’ and
‘set-window-next-buffers’.  Whenever you bury a buffer and an option
whose name you have to invent is non-nil, use these functions to remove
the buried buffer from these lists.  Either for all windows or for the
selected window only - depending on whether you want to reserve two or
three values for the option.

martin